package com.anguomob.flutter_plugin_anguo.utils

import android.app.Activity
import android.content.Intent
import android.net.Uri
import android.text.TextUtils
import android.widget.Toast
import com.anguomob.flutter_plugin_anguo.utils.PackageUtils.isApplicationAvilible

/**
 * Create by: liuan
 * Create date: 2021-05-18 0018
 * Describe:
 */
class FlutterUtils {
    companion object {
        fun initOpenOrDownApk(
            packageName: String,
            appDownUrl: String?,
            activity: Activity
        ) {

            if (isApplicationAvilible(activity, packageName)) {
                PackageUtils.openPackage(activity, packageName)
            } else {
                if (TextUtils.isEmpty(appDownUrl)) {
                    Toast.makeText(activity, "该应用正在应用市场审核中。请稍后再试", Toast.LENGTH_LONG).show();
                } else {

                    //兼容之前的从应用市场打开
                    if (!appDownUrl!!.contains("qiniu.public")) {
                        val it = Intent(Intent.ACTION_VIEW, Uri.parse(appDownUrl))
                        activity.startActivity(it)
                    } else {
                        AppUtils.downByXUpdate(activity, appDownUrl)
                    }
                }
            }
        }


    }
}