import 'dart:async';

import 'package:flutter/services.dart';

class UmUtils {
  static const MethodChannel _channel = const MethodChannel('anguo');

  static Future<String> getUmChannel() async {
    final umChannel = await _channel.invokeMethod("getUmChannel") ?? "";

    return umChannel;
  }

  static Future<bool> isAppNameOther() async {
    return await _channel.invokeMethod("isAppNameOther") ?? false;
  }

  static Future<String> getRealAppName() async {
    return await _channel.invokeMethod("getRealAppName");
  }
}
